Power & Source of Big Ideas

Getting kmod-wireguard with FriendlyWrt 19.07.5

Moderators: chensy, FATechsupport

On my new R2S, with FriendlyWrt 19.07.5, r11257-5090152ae3
I cannot install wireguard:

Code: Select all

opkg update
opkg install wireguard
Installing wireguard (1.0.20200611-2) to root...
Downloading http://downloads.openwrt.org/releases/19.07.5/packages/aarch64_cortex-a53/base/wireguard_1.0.20200611-2_aarch64_cortex-a53.ipk
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for wireguard:
 *      kmod-wireguard
 * opkg_install_cmd: Cannot install package wireguard.


The kmod module is available for OpenWrt-19-07.0:
https://openwrt.org/packages/pkgdata/kmod-wireguard

Should I get it from there? Any other suggestion?
hello,
I came to this forum to see about solving this exact problem :roll: .. sorry to say I am in same position as you and not sure how to proceed. :?:

I am very much hoping for a solution as the R4S is a great little box for OpenWRT.. but without wireguard it will not work for me :cry:

I guess I can try out the Ubuntu OS for the box, but its not really want
bugthing wrote:
..hoping for a solution as the R4S...

Currently R2S has a solution, but R4S doesn't...
Hi, I'm new witth Friendlwrt and Nanopi R4S but I do also need this module because it's my main goal to use remotely it with wireguard.

The thing I don't understand is that there already are these files on the nanopi which came with the IMG :

    /lib/modules/5.10.25/kernel/drivers/net/wireguard
    /lib/modules/5.10.25/wireguard.ko
    /usr/lib/lua/luci/model/network/proto_wireguard.lua

and kmod-wireguard if I download kmod-wireguard_5.4.111-1_aarch64_generic.ipk from which is not for our kernel, it contains roughly only ./lib/modules/5.4.111/wireguard.ko !!

So, to sump up we don't have the correct package but we have a good module already in place.... :-(

I've tried to mimic the package but I couldn't install it. Can anyone help us ?? (I can upload the control file from my "new package" and others logs if needed)
The following firmware can fix this Issue:


nanopi-r2s:
rk3328-sd-friendlywrt-5.10-20210512.img

nanopi-r4s:
rk3399-sd-friendlywrt-5.10-20210512.img
lawrence wrote:
The following firmware can fix this Issue:


nanopi-r2s:
rk3328-sd-friendlywrt-5.10-20210512.img

nanopi-r4s:
rk3399-sd-friendlywrt-5.10-20210512.img


Where can I get these (Google drive only show rk3399-sd-friendlywrt-5.10-20210402 version) ? And how to upgrade ? Do I have to reset all ?
Dulbi wrote:
lawrence wrote:
The following firmware can fix this Issue:


nanopi-r2s:
rk3328-sd-friendlywrt-5.10-20210512.img

nanopi-r4s:
rk3399-sd-friendlywrt-5.10-20210512.img


Where can I get these (Google drive only show rk3399-sd-friendlywrt-5.10-20210402 version) ? And how to upgrade ? Do I have to reset all ?


nanopi-r2s:
https://drive.google.com/drive/folders/ ... jQ1DgMnkf-

nanopi-r4s:
https://drive.google.com/drive/folders/ ... lV4PT1z6t-
Thanks I could download it and install all the wireguard packages I could find.

Now, I have to figure out how to set it through Luci (or.

I've seen a promising script /lib/netifd/proto/wireguard.sh but it doesn't work :
./wireguard.sh: line 184: add_protocol: not found

:cry: it was so close... any help please !

Who is online

In total there are 5 users online :: 0 registered, 0 hidden and 5 guests (based on users active over the past 5 minutes)
Most users ever online was 5185 on Wed Jan 22, 2020 1:44 pm

Users browsing this forum: No registered users and 5 guests